=== debian/changelog ===
spatialindex (1.8.5-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 19:02:27 +0200

spatialindex (1.8.5-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Apr 2016 18:29:10 +0200

spatialindex (1.8.5-3) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Aug 2015 12:51:17 +0200

spatialindex (1.8.5-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 12:42:16 +0200

spatialindex (1.8.5-2~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Aug 2015 16:53:22 +0200

spatialindex (1.8.5-2~exp1) experimental; urgency=medium

  * Append v5 to library package names for GCC 5 transition.
  * Drop SOVERSION from -dbg package name.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 17:24:45 +0200

spatialindex (1.8.5-1) unstable; urgency=medium

  * Use multi-line uscan options in watch file.
  * Update copyright years for Howard Butler.
  * Enable parallel builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jul 2015 11:26:02 +0200

spatialindex (1.8.5-1~exp2) experimental; urgency=medium

  * Add upstream metadata.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update symbols for other architectures.
  * Update my email to @debian.org address.
  * Group copyright holders by license in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 23:13:51 +0200

spatialindex (1.8.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Set experimental branch in Vcs-Git and gbp.conf.
  * Drop soversion.patch, applied upstream.
  * Update copyright file for autotools files.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 08 Nov 2014 19:25:21 +0100

spatialindex (1.8.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch to fix VERSION and SOVERSION for CMake build.
  * Update package names for SONAME bump.
  * Update symbols for amd64.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Oct 2014 12:41:03 +0200

spatialindex (1.8.1-3) unstable; urgency=medium

  * Add gbp.conf to use pristine-tar by default.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Update pkgconfig.patch to not include build flags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Sep 2014 18:57:08 +0200
