=== debian/changelog ===
spatialindex (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Breaks/Replaces on non-v5 packages, no longer required.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Feb 2019 17:28:57 +0100

spatialindex (1.9.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols files.
  * Update watch file to use GitHub releases.
  * Update copyright file, changes:
    - Add Norman Barker to copyright holders
    - Add license & copyright for gtest sources
    - Update Upstream-Contact & Source URL
  * Update Homepage URL to use libspatialindex.org.
  * Rename library packages for SONAME bump.
  * Drop patches, applied upstream.
  * Add lintian overrides for hardening-no-fortify-functions.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 07:13:41 +0100

spatialindex (1.8.5-7) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 20:47:30 +0200

spatialindex (1.8.5-6) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Update symbols for other architectures.
  * Drop obsolete dbg package.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 18:56:52 +0200
