=== debian/control ===
Source: spatialindex
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               autotools-dev,
               dh-autoreconf,
               pkg-kde-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libspatialindex
Vcs-Git: https://salsa.debian.org/debian-gis-team/libspatialindex.git
Homepage: https://libspatialindex.org/

Package: libspatialindex5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: General framework for developing spatial indices
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library.

Package: libspatialindex-c5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: General framework for developing spatial indices - C library
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library for C.

Package: libspatialindex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libspatialindex5 (= ${binary:Version}),
         libspatialindex-c5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Description: General framework for developing spatial indices - development files
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the development files to build third
 parties programs.
